Bug 91920 - No support for gutter margins
Summary: No support for gutter margins
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Gutter-Margins
  Show dependency treegraph
 
Reported: 2015-06-07 09:43 UTC by Yan Pas
Modified: 2021-03-18 16:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (248.35 KB, image/png)
2015-06-07 09:43 UTC, Yan Pas
Details
test doc (15.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-07 09:43 UTC, Yan Pas
Details
test doc 2 (15.86 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-08 13:41 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-06-07 09:43:12 UTC
Created attachment 116346 [details]
screenshot

Don't know how to translate переплёт correctly in English. It is margin for stitching a book.Don't think it is must have Or very useful, but for compatibility. Attaching screenshot and test docx
Comment 1 Yan Pas 2015-06-07 09:43:41 UTC
Created attachment 116347 [details]
test  doc
Comment 2 m.a.riosv 2015-06-07 14:11:22 UTC
Hi @Yan, maybe you are taking about:

https://www.youtube.com/watch?v=-CAJG2xDmto
Comment 3 Yan Pas 2015-06-07 16:51:49 UTC
No, I'm talking about additional margin, which ms-word has. Word has left, right, top, bottom margins and margin (which can be on the top or on the left) that reserves space for stitching, for example for stapler. Open MS Word paragraph menu if you have it. On the screenshot it is highlighted value 4cm.
Comment 4 Gordo 2015-06-07 17:31:30 UTC
Set the page layout to Mirrored:
The current page style shows both odd and even pages with inner and outer margins as specified. Use this layout if you want to bind the printed pages like a book. Enter the binding space as the "Inner" margin.

Is this what you are looking for?
Comment 5 Yan Pas 2015-06-07 18:17:24 UTC
No, MS Word has 5 margins, LO 4.
"Microsoft Word offers several page margin options. You can use the page margins or you can specify your own.

Add margins for binding     Use a gutter margin to add extra space to the side or top margin of a document that you plan to bind. A gutter margin helps ensure that text isn't obscured by the binding."

https://support.office.com/en-za/article/Change-or-set-page-margins-ca1a6948-1108-4db9-803f-a282204605c6
Comment 6 Jean-Baptiste Faure 2015-06-08 07:19:59 UTC
LO does what MS-Word does with 5 margins with only 4 and page styles. AFAIK MS-Word does not have page styles. It works very well in ODF.
Please, do not try to use LibreOffice with the help of the manual of MS-Word.

I you think that LO does map correctly the OOXML binding margin to its own model when importing from or exporting to docx files, please explain that clearly.

Best regards. JBF
Comment 7 Yan Pas 2015-06-08 10:11:51 UTC
The problem is not in possibilities, but in compatibility. If I create docx in MS Word and set gutter margins and later open it in Libreoffice - document won't have gutter margins and will look differently. You may see it on the screenshot.
Comment 8 Yan Pas 2015-06-08 10:14:03 UTC
MS help center contains description of what I mean. You see it on the 1st picture (yellow vertical stripes)
Comment 9 Gordo 2015-06-08 13:28:04 UTC
I understand now.  The attached document when opened with MS Word Viewer shows a 5.00 cm left margin.

Looking at the xml:
<w:sectPr w:rsidR="00E37793" w:rsidRPr="00E12A90" w:rsidSect="00E12A90"><w:pgSz w:w="11906" w:h="16838"/><w:pgMar w:top="1134" w:right="851" w:bottom="1134" w:left="567" w:header="709" w:footer="709" w:gutter="2268"/><w:cols w:space="708"/><w:docGrid w:linePitch="360"/></w:sectPr>

Twips to cm:
gutter 4.00 cm
left 1.00 cm
right 1.50 cm
top 2.00 cm
bottom 2.00 cm

Writer:
Page Layout Right and Left
Left 1.00 cm
Right 1.50 cm
Top 2.00 cm
Bottom 2.00 cm

Writer should probably set the document to Mirrored and combine the gutter and left margin.  The document is only one page so I don't know what the left and right margins settings would be on a longer document.  Does Word use just the left and mirror it?

There is no way to say how big the gutter should be when converting from odt to docx.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 10 Yan Pas 2015-06-08 13:41:47 UTC
Created attachment 116369 [details]
test  doc 2

>Writer should probably set the document to Mirrored and combine the gutter and left margin
Setting doc to mirrored will be wrong, cause left and right pages have the same layout.
>Does Word use just the left and mirror it?
No, this is absolutely independent margin. It may be applied to mirrored margins, regular margins, booklet and 2 pages per list.
In case of mirrored margins gutter margins may be only on the left side (internal side of page)
In case of regular margins gutter margin may be on the left or on the top.

My office localisation is russian, but I will record video, showing work of it, guess you will understand the idea. To solve this bug - 5th murgin must be added to Libreoffice, ther is no other way.
Comment 11 Yan Pas 2015-06-08 14:18:33 UTC
The video 
https://youtu.be/HD1FRijizaQ
Comment 12 Gordo 2015-06-08 18:22:51 UTC
In order for Writer to support gutter margins for odt files the ODF specification would have to be changed.  Supporting just docx would not require a change to the ODF specification but it would still require changes to dialogues and filters.  And why support another specification over and above the one that is favoured and promoted by the foundation if you are not going to provide the same functionality.

As a test, I added another page to the first attachement, saved it, and opened it in MS Word Viewer.  The gutter margin was lost.

I did a search in bugzilla and there does not seem to be any interest in this.

Changed to enhancement.
Comment 13 Commit Notification 2021-02-03 09:47:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b1779452bdf8b4d00791f013945cb9aa12b19723

tdf#91920 sw page gutter margin: add layout

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2021-02-03 13:39:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b07f6c14a49aea23457b41b0d75390e68fe550b3

tdf#91920 sw page gutter margin: add DOCX filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2021-02-03 15:56:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/11e91719ef362e38b3b92e525763a5a89f4eeecb

tdf#91920 sw page gutter margin: add ODF filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2021-02-03 18:09:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e6f79348c2df12c8793e3c5cb943a86f9e47cc5

tdf#91920 sw page gutter margin: add DOC filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2021-02-04 09:37:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/113e7c1be4ca87f936738270cf763800e8ec5832

tdf#91920 sw page gutter margin: add RTF filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2021-02-04 15:53:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1d7242341ec148b631a96e6d63697bce6a497c9

tdf#91920 sw page gutter margin: add UI

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2021-02-04 17:09:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97abf85bb152b8a665dff6fd8b65fffea5365dc8

tdf#91920 sw page gutter margin, from top: add doc model & UNO API

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-02-05 09:02:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59e816faa2a2bc0b88c39f063c53e00a33f23722

tdf#91920 sw page gutter margin, from top: add layout

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-02-05 10:15:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/506bacb79ab96656de9168d0db3e3159c6bde3b0

tdf#91920 sw page gutter margin, from top: add DOCX filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-02-06 14:17:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1d217b086e8c47efc5ced4c490062956d564e3f

tdf#91920 sw page gutter margin, from top: add DOC filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2021-02-06 14:17:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/faf0635def4ef603563f7288cb29d24e3f2ce1e3

tdf#91920 sw page gutter margin, from top: add RTF export

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2021-02-08 10:02:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63d3bf99101e2138a21a74a3d717d4f25d3d242f

tdf#91920 sw page gutter margin, from top: add UI

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2021-02-08 16:53:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ffe7fd5c3f3de474b201fbb1e25b8251cb13574d

tdf#91920 sw page gutter margin: handle mirrored margins

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2021-02-09 10:38:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/246f9b7f85571b7b31c56a40aed21dcb1602f2fd

tdf#91920 sw page gutter margin: add help
Comment 27 Regina Henschel 2021-02-11 15:21:17 UTC
Further problems are in bug 140342 and bug 140343.
Comment 28 Regina Henschel 2021-02-20 14:53:55 UTC
Problem with ruler in bug 140558.
Comment 29 Regina Henschel 2021-02-20 20:27:50 UTC
And some more bugs and enhancement requests: bug 140570, bug 140568, bug 140565, bug 140564, bug 140561 and bug 140559.
Comment 30 Commit Notification 2021-03-18 16:23:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/db5eec5ead50c7f9f53f446d3da16255d06ade56

tdf#91920 sw page gutter margin: link ODF proposal

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.